List LLM models
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/llm/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/llm/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/llm/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Configuration
List LLM models
List the language models available to power your agents
GET
/
llm
/
models
List LLM models
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/llm/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/llm/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/llm/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns the LLM models you can assign to an agent. Pass a model
id as
llm_model_id when updating an agent.
Providers are listed separately at GET /llm/providers.
curl https://prod-comms-engine-api.20x.business/api/v1/llm/models \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.get(
"https://prod-comms-engine-api.20x.business/api/v1/llm/models",
headers={"Authorization": f"Bearer {API_KEY}"},
)
await fetch("https://prod-comms-engine-api.20x.business/api/v1/llm/models", {
headers: { Authorization: `Bearer ${API_KEY}` },
});

